statistics-0.13.3.0: A library of statistical types, data, and functions

Copyright | (c) 2009 2011 Bryan O'Sullivan
License | BSD3
Maintainer | bos@serpentine.com
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell98

Statistics.Resampling.Bootstrap

Contents

- References

Description

The bootstrap method for statistical inference.

Synopsis

- data Estimate = Estimate {
  - estPoint :: !Double
  - estLowerBound :: !Double
  - estUpperBound :: !Double
  - estConfidenceLevel :: !Double
  }
- bootstrapBCA :: Double -> Sample -> [Estimator] -> [Resample] -> [Estimate]
- scale :: Double -> Estimate -> Estimate

# Documentation

data Estimate Source #

A point and interval estimate computed via an `Estimator`.

Constructors

Estimate |

Fields

- estPoint :: !Double

  Point estimate.

- estLowerBound :: !Double

  Lower bound of the estimate interval (i.e. the lower bound of the confidence interval).

- estUpperBound :: !Double

  Upper bound of the estimate interval (i.e. the upper bound of the confidence interval).

- estConfidenceLevel :: !Double

  Confidence level of the confidence intervals.

Instances

Eq Estimate Source # |
Methods (==) :: Estimate -> Estimate -> Bool # (/=) :: Estimate -> Estimate -> Bool #
Data Estimate Source # |

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Estimate -> c Estimate #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Estimate #

toConstr :: Estimate -> Constr #

dataTypeOf :: Estimate -> DataType #

dataCast1 :: Typeable (* -> *) t => (forall d. Data d => c (t d)) -> Maybe (c Estimate) #

dataCast2 :: Typeable (* -> * -> *) t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Estimate) #

gmapT :: (forall b. Data b => b -> b) -> Estimate -> Estimate #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Estimate -> r #

gmapQr :: (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Estimate -> r #

gmapQ :: (forall d. Data d => d -> u) -> Estimate -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Estimate -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Estimate -> m Estimate #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Estimate -> m Estimate #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Estimate -> m Estimate #

Read Estimate Source # |
Methods readsPrec :: Int -> ReadS Estimate # readList :: ReadS [Estimate] # readPrec :: ReadPrec Estimate # readListPrec :: ReadPrec [Estimate] #
Show Estimate Source # |
Methods showsPrec :: Int -> Estimate -> ShowS # show :: Estimate -> String # showList :: [Estimate] -> ShowS #
Generic Estimate Source # |
Associated Types type Rep Estimate :: * -> * # Methods from :: Estimate -> Rep Estimate x # to :: Rep Estimate x -> Estimate #
ToJSON Estimate Source # |
Methods toJSON :: Estimate -> Value # toEncoding :: Estimate -> Encoding # toJSONList :: [Estimate] -> Value # toEncodingList :: [Estimate] -> Encoding #
FromJSON Estimate Source # |
Methods parseJSON :: Value -> Parser Estimate # parseJSONList :: Value -> Parser [Estimate] #
Binary Estimate Source # |
Methods put :: Estimate -> Put # get :: Get Estimate # putList :: [Estimate] -> Put #
NFData Estimate Source # |
Methods rnf :: Estimate -> () #
type Rep Estimate Source # |

type Rep Estimate = D1 (MetaData "Estimate" "Statistics.Resampling.Bootstrap" "statistics-0.13.3.0-Fvkducafmyw9ljEnBhS6Nm" False) (C1 (MetaCons "Estimate" PrefixI True) ((:*:) ((:*:) (S1 (MetaSel (Just Symbol "estPoint") SourceUnpack SourceStrict DecidedUnpack) (Rec0 Double)) (S1 (MetaSel (Just Symbol "estLowerBound") SourceUnpack SourceStrict DecidedUnpack) (Rec0 Double))) ((:*:) (S1 (MetaSel (Just Symbol "estUpperBound") SourceUnpack SourceStrict DecidedUnpack) (Rec0 Double)) (S1 (MetaSel (Just Symbol "estConfidenceLevel") SourceUnpack SourceStrict DecidedUnpack) (Rec0 Double)))))

bootstrapBCA Source #

Arguments

:: Double | Confidence level
-> Sample | Sample data
-> [Estimator] | Estimators
-> [Resample] | Resampled data
-> [Estimate] |

Bias-corrected accelerated (BCA) bootstrap. This adjusts for both bias and skewness in the resampled distribution.

scale Source #

Arguments

:: Double | Value to multiply by.
-> Estimate |
-> Estimate |

Multiply the point, lower bound, and upper bound in an `Estimate` by the given value.

# References

- Davison, A.C; Hinkley, D.V. (1997) Bootstrap methods and their application. http://statwww.epfl.ch/davison/BMA/